#
# spec file for package python3-pyowm
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-pyowm
Version:        2.6.1
Release:        1.6
License:        MIT
Summary:        A Python wrapper around the OpenWeatherMap web API
Url:            http://github.com/csparpa/pyowm
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/3a/1b/94282ac9ea7f737a6eea9520fed026200b63853b3196392814506c456b00/pyowm-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
PyOWM is a client Python wrapper library for the OpenWeatherMap web API.
It allows quick and easy consumption of OWM weather data from Python
applications via a simple object model and in a human-friendly fashion.

%prep
%setup -q -n pyowm-%{version}

# Remove shebang line:
sed -i '1d' pyowm/__init__.py


%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Wed Feb 22 2017 toms@opensuse.org
- First public release 2.6.1 on OBS
